Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 414127 - dev-cpp/gtksourceviewmm-2.10.2:2 fails to build against glib-2.32.1 "Only <glib.h> can be included directly."
Summary: dev-cpp/gtksourceviewmm-2.10.2:2 fails to build against glib-2.32.1 "Only <gl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: GNOME C++ Bindings Maintainers (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-04-30 15:41 UTC by salamanderrake
Modified: 2012-05-02 07:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (gtksourceviewmm.log,21.50 KB, text/plain)
2012-04-30 15:42 UTC, salamanderrake
Details

Note You need to log in before you can comment on or make changes to this bug.
Description salamanderrake 2012-04-30 15:41:22 UTC
Trying to build gtksourceviewmm:2 fails with "Only <glib.h> can be included directly."
Comment 1 salamanderrake 2012-04-30 15:42:02 UTC
Created attachment 310507 [details]
build.log
Comment 2 Göktürk Yüksek gentoo-dev 2012-04-30 22:24:01 UTC
This bug blocks #406437
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-05-02 07:17:41 UTC
Thanks for reporting, fixed in cvs.

>  02 May 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
>  gtksourceviewmm-2.10.2.ebuild, +files/gtksourceviewmm-2.10.2-glib-2.31.patch:
>  Fix building with >=glib-2.31 (bug #414127, thanks to salamanderrake for
>  reporting)